% --------------------------------------------------------------
% FUNCTION cdfdata = cdfgen(x,in)
%
%   x       = x-axis sampling points 
%   in      = input data vectors
%   cdfdata = cdf-values at x-axis sampling points x
%
%  example:
%    in = randn(1,1000); x = [-5:0.1:5]; plot(x,cdfgen(x,in));
%
% (c) studer@rice.edu, Aug 2008
% --------------------------------------------------------------
function cdfdata = cdfgen(x,in)
    for i=1:length(x)
        cdfdata(i) = sum(in<x(i))/length(in);
    end
return
